Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 104444 - Save server specific info in project, everytime
Save server specific info in project, everytime
Status: VERIFIED FIXED
Product: obsolete
Classification: Unclassified
Component: visualweb
6.x
PC All
: P2 (vote)
: TBD
Assigned To: John Baker
issues@obsolete
:
Depends on: 93159
Blocks: 89438 104341
  Show dependency treegraph
 
Reported: 2007-05-21 21:06 UTC by John Baker
Modified: 2007-10-10 17:53 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description John Baker 2007-05-21 21:06:37 UTC
For each project, server specific settings should be created regardless whether
the server has the JDBC resources.

The API had been developed and was tracked but apparently either visualweb or
each serverplugin needs to use the API , see issue 93159

From the planning document,
http://wiki.netbeans.org/wiki/view/VWPDataSourceIntegration#section-VWPDataSourceIntegration-OpeningAProjectOnAnotherComputer

In NetBeans when a data source from the server is used in a project, the
definition of that data source is not added to the project. Thus, when the
project is checked into source control and checked out on another computer the
designer will display the Component Error page indicating that connection to the
database throught the dataprovider failed. The requirement is to save the
definitions of any server data sources to the project. Also, the other computer
may not have the JDBC driver and Database connection needed by the application,
registered in the IDE. The user can fix this by registering the two (driver and
connection) or using the Resolve Datasource(s) . If the driver and connection
had not been registered then even with the server specific info included with
the project, the Component Error page will still open as a "live" connection to
the database is required. See section below, Project Migration for projects
containing data sources

Resolution

The datasource defined on the server will be added to the project, for all
projects. This way we keep the datasources in-sync by keeping the data source
information on both the project and in the server. This does mean that potential
conflicts can occur when the project uses a different server, either because the
user changes servers or because a different user opens the project on a
different machine, and the target server has different data sources defined on it.

There are three types of scenarios:

    * A data source exists on the server with the same JNDI name, JDBC URL and
connection parameters as the data source defined in the project. In this case we
just use the data source in the server (not a conflict) 

    * A data source exists on the server with the same JNDI name and the
database vendor is the same, but the connection parameters or other parts of the
URL differ. We use the data source and generate a warning. The warning contains
detailed information about the conflict and to suggest to the user to change the
Datasource name (there may be such a dialog available from Creator that can be
reused). 

    * A data source exists in the server with the same JNDI name but the
database vendor is different. What we had discussed in this case is that the
project is marked as "broken" and a "broken" indicator is displayed by the data
source showing that it could not be mapped to a data source in the server, and
the user has to manually fix this before the project will work. We won't support
this rare scenario and this can be documented.
Comment 1 John Baker 2007-05-31 05:22:38 UTC
fixed
Comment 2 John Baker 2007-05-31 21:54:10 UTC
this is actually a limitation in my code and no need to use new API
so new API is not needed.
Comment 3 John Baker 2007-05-31 21:54:30 UTC
this is actually a limitation in my code and no need to use new API
so new API is not needed.
Comment 4 John Baker 2007-06-17 21:38:21 UTC
Fixed by my May 29 integration
http://deadlock.netbeans.org/fisheye/changelog/netbeans/?cs=MAIN:jbaker:20070529192633
Comment 5 _ alexpetrov 2007-10-10 17:53:05 UTC
Verified.
Product Version: NetBeans IDE Dev (Build 200710100000)
Java: 1.6.0_03; Java HotSpot(TM) Client VM 1.6.0_03-b02
System: Windows XP version 5.1 running on x86


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo